For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
      • GETRetrieve employer quote
      • GETList all employer quotes
      • GETRetrieve an employer policy
      • GETList all employer policies
      • GETRetrieve an employee offer
      • GETList all employee offers
      • GETList all employee policies
      • GETRetrieve an employee policy
    • Contribution Reports
    • Events and Webhooks
    • API Errors
Get access
LogoLogo
API ReferenceHealth Insurance

Retrieve employer quote

GET
/employers/:employer_id/health_insurance/quotes/:employer_quote_id
GET
/employers/:employer_id/health_insurance/quotes/:employer_quote_id
$curl https://test.api.kota.io/employers/er_3b1333d87d9d4fd6ad83ba7f6b0e951a/health_insurance/quotes/erhq_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "erhq_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "employer_id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
4 "quoted_at": "2024-12-01T00:00:00Z",
5 "status": "pending_quote",
6 "coverage_levels": [
7 {
8 "plan_id": "pl_3b1333d87d9d4fd6ad83ba7f6b0e951a",
9 "plan_name": "Comprehensive Health Plan Plus",
10 "plan_currency": "eur",
11 "provider_name": "Global Health Insurance Co.",
12 "provider_logo_url": "https://globalhealth.example.com/assets/logo.png",
13 "documents": [
14 {
15 "title": "Insurance Product Information Document",
16 "link": "https://globalhealth.example.com/docs/product-info.pdf"
17 }
18 ]
19 }
20 ],
21 "object": "employer_health_insurance_quote"
22}

Returns group’s health insurance quote for an employer by employer_quote_id.

Previous

Cancel offboarding an employee

Next

List all employer quotes

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employer_idstringRequiredformat: "er_.+"
employer_quote_idstringRequiredformat: "erhq_.+"

Response

OK
idstringformat: "erhq_.+"
Unique identifier for the quote
employer_idstringformat: "er_.+"
The Id of the employer for which the is created
quoted_atdatetime
Date and time the quote was created at
statusenum
Current status of the quote
Allowed values:
coverage_levelslist of objects

List of levels covered under the policy, each item representing details about the plan’s cover. Currently Kota only supports a single level of cover.

objectstringRead-only
The object type
required_actionobject

Actions required by the employer to proceed with the quote. Set only when status is action_required.

Errors

404
Not Found Error